Bug 127491 - up2date segfaults during attempted update
Summary: up2date segfaults during attempted update
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Bret McMillan
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 130798
TreeView+ depends on / blocked
 
Reported: 2004-07-08 21:42 UTC by C.M. Connelly
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 19:22:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from up2date -u -f -i -vv (1.62 KB, text/plain)
2004-07-08 21:45 UTC, C.M. Connelly
no flags Details

Description C.M. Connelly 2004-07-08 21:42:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040628

Description of problem:
up2date segfaults when run from the command line (with or without X).
 The problem also appears to affect remotely scheduled (from RHN) updates.


Version-Release number of selected component (if applicable):
up2date-4.2.16-1

How reproducible:
Always

Steps to Reproduce:
1. Run up2date
2. Step through dialogs until up2date is fetching headers
3. up2date dies

Also reproducable on the command line with ``up2date -u -f -i -vv''
(output attached).

Actual Results:  up2date exits with ``Segmentation fault (core dumped)''.

Expected Results:  up2date downloads available 

Additional info:

Comment 1 C.M. Connelly 2004-07-08 21:45:45 UTC
Created attachment 101733 [details]
Output from up2date -u -f -i -vv

Comment 2 RHEL Product and Program Management 2007-10-19 19:22:53 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.